// Imports
@use "variables" as var;

// Actual Styling
:host {
  display: flex;
  flex-direction: column;
  height: 100vh;
}

#view-switch {
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: 1000;
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 100%;
  height: var.$view-switch-height-mobile;
  overflow: hidden;
  background-color: var(--background-default-grey);

  @media (min-width: var.$breakpoint-desktop) {
    position: absolute;
    top: 143.5px;
    right: 0;
    left: initial;
    width: initial;
    height: 55px;
    border-left: solid thin var(--border-default-grey);
    padding: 0 24px;
  }

  .possible-view {
    cursor: pointer;
    color: var(--text-disabled-grey);

    &.activated {
      color: var(--text-active-blue-france);
    }

    span:first-child {
      margin-right: 10px;
    }
  }

  #toggle-wrapper {
    margin: -(var.$mini-padding) var.$default-margin 0;
    align-self: flex-start;

    @media (min-width: var.$breakpoint-desktop) {
      margin-top: 0;
    }
  }
}

#main-content {
  flex: 1;
}
